Vector::BLF::Most50Message(3)

NAME
Vector::BLF::Most50Message - MOST_50_MESSAGE.

SYNOPSIS

#include <Most50Message.h>

Inherits Vector::BLF::ObjectHeader2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
ObjectHeader2 (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t dir {}
direction: 0: Rx; 1: Tx; 2: TxRequest
uint8_t reservedMost50Message1 {}
uint32_t sourceAdr {}
source address
uint32_t destAdr {}
target address
uint8_t transferType {}
Tranfer Type.
uint8_t state {}
transmission status
uint8_t ackNack {}
acknowledge code
uint8_t reservedMost50Message2 {}
uint32_t crc {}
Cyclic Redundancy Check.
uint16_t reservedMost50Message3 {}
uint8_t priority {}
priority of the message
uint8_t reservedMost50Message4 {}
uint32_t msgLen {}
length of variable data in bytes (17 max)
uint32_t reservedMost50Message5 {}
std::vector< uint8_t > msg {}
variable data
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint8_t timeStampStatus {}
time stamp status
uint8_t reservedObjectHeader {0}
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {0}
object timestamp
uint64_t originalTimeStamp {0}
original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }
enum TimeStampStatus : uint8_t { Orig = 0x01, SwHw = 0x02, User = 0x10 }

Detailed Description

MOST_50_MESSAGE. Message on MOST50 Control Channel.

Member Function Documentation

  uint32_t Vector::BLF::Most50Message::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::Most50Message::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::Most50Message::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::Most50Message::ackNack {}

acknowledge code AckNack holds the transmit status of a control message (see Transmit Status Register of OS8104 for MOST25).

•   Bit 0: Meaning:

•   1: no response (NoResp) Restriction:

•   only for Dir = Tx or spy messages

•   Bit 1: Meaning:

•   1: valid receipt (Valid) Restriction:

•   only for Dir = Tx or spy messages

•   Bit 2: Meaning:

•   1: CRC Error (CRCError) Restriction:

•   only for Dir = Tx or spy messages

•   Bit 3: Meaning:

•   1: receive buffer full (RxBufFull) Restriction:

•   only for Dir = Tx or spy messages

•   Bit 4: Meaning:

•   1: acknowledged (Ack) Restriction:

•   only for Dir = Tx or spy messages (always set to 1 for Rx messages in node mode)

•   Bit 5: Meaning:

•   1: negative acknowledge (NAck) Restriction:

•   only for Dir = Tx or spy messages

  uint16_t Vector::BLF::Most50Message::channel {}

application channel Application channel

  uint32_t Vector::BLF::Most50Message::crc {}

Cyclic Redundancy Check. Cyclic Redundancy Check

  uint32_t Vector::BLF::Most50Message::destAdr {}

target address Target address

  uint8_t Vector::BLF::Most50Message::dir {}

direction: 0: Rx; 1: Tx; 2: TxRequest Direction of message events:

•   0: Rx (received)

•   1: Tx (transmit receipt)

•   2: Tx Request (transmit request)

  std::vector<uint8_t> Vector::BLF::Most50Message::msg {}

variable data Variable data

  uint32_t Vector::BLF::Most50Message::msgLen {}

length of variable data in bytes (17 max) Length of variable data in bytes (5...17)

  uint8_t Vector::BLF::Most50Message::priority {}

priority of the message Priority

  uint8_t Vector::BLF::Most50Message::reservedMost50Message1 {}
reserved

  uint8_t Vector::BLF::Most50Message::reservedMost50Message2 {}
reserved

  uint16_t Vector::BLF::Most50Message::reservedMost50Message3 {}
reserved

  uint8_t Vector::BLF::Most50Message::reservedMost50Message4 {}
reserved

  uint32_t Vector::BLF::Most50Message::reservedMost50Message5 {}
reserved

  uint32_t Vector::BLF::Most50Message::sourceAdr {}

source address Source address

  uint8_t Vector::BLF::Most50Message::state {}

transmission status Transmission states of MOST50/150 messages and packets.

•   Bit 0: Meaning:

•   0: bus inactive

•   1: bus active Restriction:

•   only for Dir = Rx or mTransferType = Spy

•   Bit 4: Meaning:

•   1: acknowledged (Ack) Restriction

•   only for mTransferType = Node and Dir = Tx (always set to 1 for Rx messages in node mode)

•   Bit 5: Meaning:

•   1: not acknowledged (NAck) Restriction:

•   only for Dir = Tx

•   Bit 6: Meaning: Send result:

•   0: Transmission error (TxF)

•   1: OK Restriction:

•   only for Dir = Tx

•   only for mTransferType = Node

  uint8_t Vector::BLF::Most50Message::transferType {}

Tranfer Type. Message-like events can either be recorded through the MOST transceiver chip or through a separate network spy.

•   1: Node MOST transceiver reported the message (either due to a successful reception or as acknowledgment for a transmit request).

•   2: Spy Message was reported by the network spy. The Spy sees all messages independently of the desti-nation address.

Author

Generated automatically by Doxygen for Vector BLF from the source code.